function scores = sirene_predict(sireneData)

% scores = sirene_predict(sireneData)
%
% Predict new edges with SIRENE
%
% INPUTS:
%  - sireneData : a structure containing the features, the edges and
%  various parameters, as initialized by sirene_initialize(). The method
%  used to make inference should be in the 'method' field of this variable.
% 
% OUTPUT:
%  a nxs matrix of scores corresponding to the edges starting from the s
%  source vertices to the n vertices.

switch lower(sireneData.method)
    case 'simplesvm'
        scores = sirene_predict_simplesvm(sireneData);
    case 'libsvm'
        scores = sirene_predict_libsvm(sireneData);
    case '1class'
        scores = sirene_predict_1class(sireneData);
    otherwise
        disp('Unknown inference method!')
        scores = 0;
end

